@import url('https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,200..1000;1,200..1000&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    font-family: "Nunito", sans-serif;
}

:root{
     --bg-color: #111111;
     --second-bg-color: #2A3156;
     --text-color: #FFFFFF;
     --main-color: #41B4D5;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;

}

body{
    background-color: var(--bg-color);
    color: var(--text-color);

}

.header{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 9%;
    background: transparent;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
    transition: .3s;
}

.header.sticky{
    background: var(--bg-color);
}

.logo{
    font-size: 2.5rem;
    color: var(--text-color);
    font-weight: 600;
}

.navbar a{
    font-size: 1.7rem;
    color: var(--text-color);
    font-weight: 500;
    margin-left: 3.5rem;
    transition: 3s;
}

.navbar a:hover,.navbar a.active {
    color: var(--main-color);
}

#menu-icon{
    font-size: 3.6rem;
    color: var(--text-color);
    cursor: pointer;
    display: none;
}

section {
    min-height: 100vh;
    padding: 10rem 9% 2rem;
}

.home{
    display: flex;
    align-items: center;
    padding: 0 9%;
    background: url('/Pictures/Copy\ of\ ST\ \(3\).png') no-repeat;
    background-size: 40% 70%;  /*Background covers 50% width and 100% height */
    background-position: right center;  /*Positions the background on the right side */
    
}

.home-content{
    max-width: 60rem;
}

.home-content h1{
    font-size: 5.6rem;
    font-weight: 700;
    line-height: 1.3;
}

.home-content .text-animate{
    position:relative;
    width: 32.8rem;

}

.home-content .text-animate h3{
    font-size: 4rem;
    font-weight: 700;
    color: transparent;
    -webkit-text-stroke: .1rem var(--main-color);
}

.home-content p{
    font-size:  1.6rem;
    margin: 2rem 0 4rem;
}

.btn-box{
    position:relative;
    display: flex;
    justify-content: space-between;
    width: 34.5rem;
    height: 5rem;
}

.btn-box .btn{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 15rem;
    height: 100%;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .8rem;
    font-size: 2rem;
    font-weight: 600;
    letter-spacing: .1rem;
    color: var(--bg-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.btn-box .btn:hover{
    color: var(--main-color);
}

.btn-box .btn:nth-child(2){
    background: transparent;
    color: var(--main-color);
}
.btn-box .btn:nth-child(2):hover{
    color: var(--bg-color);
}

.btn-box .btn:nth-child(2)::before{
    background: var(--main-color);
}
.btn-box .btn::before{
    content:'';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background:var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.btn-box .btn:hover::before{
    width: 100%;   
}

.home-sci{
    position: absolute;
    bottom: 4rem;
    width: 140px;
    display: flex;
    justify-content: space-between;
}

.home-sci a{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    background: transparent;
    border: .2rem solid var(--main-color);
    border-radius: 50%;
    font-size: 20px;
    color: var(--main-color);
    z-index: 1;
    overflow: hidden;
    transition: .5s;
}

.home-sci a:hover{
    color: var(--bg-color);
}

.home-sci a::before{
    content:'';
    position: absolute;
    top: 0 ;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--main-color);
    z-index: -1;
    transition: .5s;
}

.home-sci a:hover::before{
    width: 100%; 

}

.home-imgHover{
    position: absolute;
    top: 0;
    right: 0;
    width: 45%;
    height: 100%;
    background: transparent;
    
    transition: 3s;
}

.home-imgHover:hover{
    background:var(--bg-color);
    opacity: .8;
}

.about{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 2rem;
    background: var(--second-bg-color);
    padding-bottom: 7rem;
}

.heading{
    font-size: 5rem;
    margin-bottom: 3rem;
    text-align: center;
}

span{
    color: var(--main-color);
}
.cofounders-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.cofounders-container {
    display: flex;
    justify-content: space-around;
    gap: 5rem;
    text-align: center;
}

.cofounders {
    position: relative;
    width: 25rem;
    height: 25rem;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cofounders img {
    width: 90%;
    border-radius: 50%;
    border: .2rem solid var(--main-color);
}

.circle-spin {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(0);
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border-top: .2rem solid var(--second-bg-color);
    border-bottom: .2rem solid var(--second-bg-color);
    border-left: .2rem solid var(--main-color);
    border-right: .2rem solid var(--main-color);
}

.names-container {
    display: flex;
    justify-content: space-around;
    gap: 23rem;
    margin-top: 1rem;
}
.names-containers {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 18rem;
    margin-top: .1rem;
    margin-left: -1.9rem;
}

.names-container p {
    font-size: 3rem;
    font-weight: bold;
    color: var(--main-color);
}

.names-containers h3 {
    font-size: 2rem;
    font-weight: bold;
    color: var(--text-color);
}

.about-content{
    text-align: center;
}
.about-content span{
    color: var(--main-color);
    font-weight: bold;
}

.about-content h3{
    font-size: 2.6rem;
}

.about-content p{
    font-size: 1.6rem;
    margin: 2rem 0 3rem;
}
.btn-box.btns{
    display: inline-block;
    width: 15rem;

}

.btn-box.btns a::before{
    background: var(--second-bg-color);
}

.roadmap{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-height: auto;
    padding-bottom: 5rem;
}

.roadmap .roadmap-row{
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
}

.roadmap-row .roadmap-column{
    flex: 1 1 40rem;
}
.roadmap-column .title{
    font-size: 2.5rem;
    margin: 0 0 1.5rem 2rem;
}

.roadmap-column .roadmap-box{
    border-left: .2rem solid var(--main-color) ;
}

.roadmap-box .roadmap-content{
    position: relative;
    padding-left: 2rem;
}
.roadmap-box .roadmap-content::before{
    content: '';
    position: absolute;
    top: 0;
    left: -1.1rem;
    width: 2rem;
    height: 2rem;
    background: var(--main-color);
    border-radius: 50%;
}

.roadmap-content .content{
    position: relative;
    padding: 1.5rem;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    margin-bottom: 2rem;
    overflow: hidden;
   

}
.roadmap-content .content::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--second-bg-color);
    z-index: -1;
    transition: .5s;
    
}

.roadmap-content .content:hover::before{
    width: 100%;

}
.roadmap-content .content .year{
    font-size: 1.5rem;
    color: var(--main-color);
    padding-bottom: .5rem;
}

.roadmap-content .content .year i{
    padding-right: .5rem;
    
}

.roadmap-content .content h3{
    font-size: 2rem;
}

.roadmap-content .content p {
    font-size: 1.6 rem;
    padding-top: .5rem ;
}

.roadmap-content .content p  span{
    color: var(--text-color);
}

.projects{
    min-height: auto;
    padding-bottom: 7rem;
    background: var(--second-bg-color);
}

.projects .projects-row{
    display: flex;
    flex-wrap: wrap;
    gap: 5rem;
}

.projects-row .projects-column{
    flex: 1 1 40rem;
}

.projects-column .title{
    font-size: 2.5rem;
    margin: 0 0 1.5rem;
}

.projects-box .project-content{
    position: relative;
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    padding: .5rem 1.5rem;
    z-index: 1;
    overflow: hidden;
}
.projects-box .project-content::before{
content: '';
position: absolute;
top: 0;
left: 0;
width: 0;
height: 100%;
background: var(--bg-color);
z-index: -1;
transition: .5s;
}

.projects-box .project-content:hover::before{
    width: 100%;
}

.project-content .progress{
    padding: 1rem 0;
}

.project-content .progress h3{
    font-size: 1.7rem;
    display: flex;
    justify-content: space-between;
}

.project-content .progress h3 span{
    color: var(--text-color);
}

.project-content .progress .bar{
    height: 2.5rem;
    border-radius: .6rem;
    border: .2rem solid var(--main-color);
    padding: .5rem;
    margin: 1rem 0;
}

.project-content .progress .bar span{
    display: block;
    height: 100%;
    border-radius: .3rem;
    background: var(--main-color);
}

.projects-column:nth-child(1) .project-content .progress:nth-child(1) .bar span{
    width: 100%;
}
.projects-column:nth-child(1) .project-content .progress:nth-child(2) .bar span{
    width: 70%;
}
.projects-column:nth-child(1) .project-content .progress:nth-child(3) .bar span{
    width: 0%;
}

.projects-column:nth-child(2) .project-content .progress:nth-child(1) .bar span{
    width: 80%;
}
.projects-column:nth-child(2) .project-content .progress:nth-child(2) .bar span{
    width: 30%;
}
.projects-column:nth-child(2) .project-content .progress:nth-child(3) .bar span{
    width: 0%;
}

.projects-column:nth-child(3) .project-content .progress:nth-child(1) .bar span{
    width: 100%;
}
.projects-column:nth-child(3) .project-content .progress:nth-child(2) .bar span{
    width: 0%;
}
.projects-column:nth-child(3) .project-content .progress:nth-child(3) .bar span{
    width: 0%;
}
.projects-column:nth-child(3) .project-content .progress:nth-child(4) .bar span{
    width: 100%;
}

.contact{
    min-height: auto;
    padding-bottom: 7rem;
}

.contact form{
    max-width: 70rem;
    margin: 0 auto;
    text-align: center;
}
.contact form .inputbox{
    position: relative;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.contact form .inputbox .input-field{
    position: relative;
    width: 49%;
    margin: .8rem 0;
}

.contact form .inputbox .input-field input,
.contact form .textarea-field textarea{
    width: 100%;
    height: 100%;
    padding: 1.5rem;
    font-size: 1.6rem;
    color: var(--text-color);
    background: transparent;
    border-radius: .6rem;
    border: .2rem solid var(--main-color);
}

.contact form .inputbox .input-field input::placeholder,
.contact form .textarea-field textarea::placeholder{
    color: var(--text-color);
}

.contact form .focus{
    position: absolute;
    top: 0;
    left: 0;
    width: 0;   
    height: 100%;
    background: var(--second-bg-color);
    border-radius: .6rem;
    z-index: -1;
    transition: .5s;
}

.contact form .inputbox .input-field input:focus~.focus,
.contact form .inputbox .input-field input:valid~.focus,
.contact form .textarea-field textarea:focus~.focus,
.contact form .textarea-field textarea:valid~.focus{
    width: 100%; 
}

.contact form .textarea-field{
    position: relative;
    margin: .8rem 0 2.7rem;
    display: flex;
}

.contact form .textarea-field textarea{
    resize: none;
}

.contact form .btn-box.btns .btn{
    cursor: pointer;
}
.footer{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding: 2rem 9%;
    justify-content: right;

}
.footer-iconTop a{
    position: relative;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    padding: .8rem;
    background: var(--main-color);
    border: .2rem solid var(--main-color);
    border-radius: .6rem;
    z-index: 1;
    overflow: hidden;
    
}

.footer-iconTop a i{
    font-size: 3rem;
    color: var(--bg-color);
}

.footer-iconTop a::before{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background: var(--bg-color);
    z-index: -1;
    transition: .5s;
}

.footer-iconTop a:hover::before{
width: 100%;
}



.footer-iconTop a:hover i{
    color: var(--main-color);
}